Bug 1560103 - Invalid content of C header file /usr/include/python3.6m/pyconfig.h
Summary: Invalid content of C header file /usr/include/python3.6m/pyconfig.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-23 21:50 UTC by Lukas Slebodnik
Modified: 2018-04-09 19:08 UTC (History)
11 users (show)

Fixed In Version: python3-3.6.4-20.fc29 python3-3.6.4-20.fc28 python3-3.6.5-1.fc26 python3-3.6.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 18:34:55 UTC


Attachments (Terms of Use)

Description Lukas Slebodnik 2018-03-23 21:50:55 UTC
Description of problem:
The latest update of python3 broke building of C python extensions
due to invalid content of header files

Version-Release number of selected component (if applicable):
sh$ rpm -q python3-devel
python3-devel-3.6.4-19.fc29.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y gcc python3-devel
2. echo "#include <Python.h>" > conftest.c
3. gcc `python3-config --includes` -c conftest.c
4. echo $?

Actual results:
sh-4.4$ echo "#include <Python.h>" > conftest.c
sh-4.4$ gcc `python3-config --includes` -c conftest.c
In file included from /usr/include/python3.6m/Python.h:8,
                 from conftest.c:1:
/usr/include/python3.6m/pyconfig.h:6:10: fatal error: %{_pyconfig64_h}: No such file or directory
 #include "%{_pyconfig64_h}"
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
sh-4.4$ echo $?
1

Expected results:
sh-4.4$ echo "#include <Python.h>" > conftest.c
sh-4.4$ gcc `python3-config --includes` -c conftest.c
sh-4.4$ echo $?
0

Additional info:
I would say that commit[1] which supposed to fix rpmlint error caused that regression.

[1] https://src.fedoraproject.org/rpms/python3/c/90512a5a1b6bb4e54449a0e3611482e6a55a8ab3?branch=master

Comment 1 Miro Hrončok 2018-03-24 07:01:35 UTC
My bad. I understood this code differently, now I get it.

Comment 3 Lukas Slebodnik 2018-03-24 12:03:54 UTC
(In reply to Miro Hrončok from comment #2)
> https://src.fedoraproject.org/rpms/python3/c/
> e8fa184158dfa253cf88fbac86a18cfb82046ca9?branch=master
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25926342

Thank you very much for prompt fix.
Could you also fix that also in f28?

Comment 4 Miro Hrončok 2018-03-25 12:35:36 UTC
That was the plan. I just wanted the rawhide build to finish first and wasn't near my computer later. So I've unpushed the f28 updatethat introduced this bug  yesterday and am building the fixer now.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25960820

Comment 5 Fedora Update System 2018-03-25 17:49:13 UTC
python3-3.6.4-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 6 Fedora Update System 2018-03-25 17:49:29 UTC
python3-3.6.4-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 7 Fedora Update System 2018-03-25 20:32:00 UTC
python3-3.6.4-20.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 8 Fedora Update System 2018-03-30 13:20:06 UTC
python3-3.6.4-20.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-05 09:32:46 UTC
python3-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 10 Fedora Update System 2018-04-05 09:33:40 UTC
python3-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 11 Fedora Update System 2018-04-05 15:51:00 UTC
python3-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 12 Fedora Update System 2018-04-05 15:56:21 UTC
python-pip-9.0.3-1.fc26 python3-3.6.5-1.fc26 python3-docs-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 13 Fedora Update System 2018-04-05 16:04:49 UTC
python3-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 14 Fedora Update System 2018-04-05 16:13:40 UTC
python-pip-9.0.3-1.fc27 python3-3.6.5-1.fc27 python3-docs-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 15 Fedora Update System 2018-04-06 16:51:56 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 16 Fedora Update System 2018-04-06 17:16:26 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 17 Fedora Update System 2018-04-09 18:34:55 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-04-09 19:08:36 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.